Skip to main content
`Ctrl`+`K`

# pandas.io.formats.style.Styler.highlight_null

Styler.highlight_null(color='red', subset=None, props=None)

  Highlight missing values with a style.

  Parameters:
    color str, default ‘red’

      > Background color to use for highlighting.

      Added in version 1.5.0.

    subset label, array-like, IndexSlice, optional

      A valid 2d input to DataFrame.loc[<subset>], or, in the case of a 1d input or single key, to DataFrame.loc[:, <subset>] where the columns are prioritised, to limit `data` to before applying the function.

    props str, default None

      > CSS properties to use for highlighting. If `props` is given, `color` is not used.

      Added in version 1.3.0.

  Returns:
    Styler

  See also

  `Styler.highlight_max`

    Highlight the maximum with a style.

  `Styler.highlight_min`

    Highlight the minimum with a style.

  `Styler.highlight_between`

    Highlight a defined range with a style.

  `Styler.highlight_quantile`

    Highlight values defined by a quantile with a style.

  Examples

      >>> df = pd.DataFrame({'A': [1, 2], 'B': [3, np.nan]})
      >>> df.style.highlight_null(color='yellow')

  Please see: Table Visualization for more examples.